<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::kernel::KernelRBF&lt; T, V &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1kernel_1_1_kernel_r_b_f.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classmelon_1_1kernel_1_1_kernel_r_b_f-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::kernel::KernelRBF&lt; T, V &gt; Class Template Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Implementation of Radial Basis Function kernel.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="kernel_8h_source.html">kernel.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for melon::kernel::KernelRBF&lt; T, V &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classmelon_1_1kernel_1_1_kernel_r_b_f.png" usemap="#melon::kernel::KernelRBF_3C_20T_2C_20V_20_3E_map" alt=""/>
  <map id="melon::kernel::KernelRBF_3C_20T_2C_20V_20_3E_map" name="melon::kernel::KernelRBF_3C_20T_2C_20V_20_3E_map">
<area href="classmelon_1_1kernel_1_1_stationary_kernel.html" alt="melon::kernel::StationaryKernel&lt; T, V &gt;" shape="rect" coords="0,56,235,80"/>
<area href="classmelon_1_1kernel_1_1_kernel.html" title="Abstract parent class for kernel implementations." alt="melon::kernel::Kernel&lt; T, V &gt;" shape="rect" coords="0,0,235,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aebf09200ca3535f515384f9326978359" id="r_aebf09200ca3535f515384f9326978359"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aebf09200ca3535f515384f9326978359">KernelRBF</a> (<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">double</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">gamma</a>)</td></tr>
<tr class="memdesc:aebf09200ca3535f515384f9326978359"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <br /></td></tr>
<tr class="separator:aebf09200ca3535f515384f9326978359"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af77cb8a39caa7d5191aa560eb80d2f09" id="r_af77cb8a39caa7d5191aa560eb80d2f09"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af77cb8a39caa7d5191aa560eb80d2f09">evaluate_kernel</a> (std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x1</a>, std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x2</a>) <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">override</a></td></tr>
<tr class="memdesc:af77cb8a39caa7d5191aa560eb80d2f09"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for evalualting the kernel.  <br /></td></tr>
<tr class="separator:af77cb8a39caa7d5191aa560eb80d2f09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fb033bbe5a2ed283fcecc2a0a34bb84" id="r_a1fb033bbe5a2ed283fcecc2a0a34bb84"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1fb033bbe5a2ed283fcecc2a0a34bb84">calculate_distance</a> (std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x1</a>, std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x2</a>) <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">override</a></td></tr>
<tr class="memdesc:a1fb033bbe5a2ed283fcecc2a0a34bb84"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for calculating the distance used in the kernel (type of distance used can vary among kernels)  <br /></td></tr>
<tr class="separator:a1fb033bbe5a2ed283fcecc2a0a34bb84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bfc02f818e464515cf4eee385e4451e" id="r_a8bfc02f818e464515cf4eee385e4451e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8bfc02f818e464515cf4eee385e4451e">evaluate_kernel</a> (<a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">distance</a>) <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">override</a></td></tr>
<tr class="memdesc:a8bfc02f818e464515cf4eee385e4451e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for evalualting the kernel for a given distance.  <br /></td></tr>
<tr class="separator:a8bfc02f818e464515cf4eee385e4451e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classmelon_1_1kernel_1_1_stationary_kernel"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_classmelon_1_1kernel_1_1_stationary_kernel')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html">melon::kernel::StationaryKernel&lt; T, V &gt;</a></td></tr>
<tr class="memitem:a566162476b5a4d85bf3433131bc517ae inherit pub_methods_classmelon_1_1kernel_1_1_stationary_kernel" id="r_a566162476b5a4d85bf3433131bc517ae"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">virtual</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html#a566162476b5a4d85bf3433131bc517ae">_quadratic_distance</a> (std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x1</a>, std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x2</a>)</td></tr>
<tr class="memdesc:a566162476b5a4d85bf3433131bc517ae inherit pub_methods_classmelon_1_1kernel_1_1_stationary_kernel"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates the quadratic distance between two points x1 and x2.  <br /></td></tr>
<tr class="separator:a566162476b5a4d85bf3433131bc517ae inherit pub_methods_classmelon_1_1kernel_1_1_stationary_kernel"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classmelon_1_1kernel_1_1_kernel"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_classmelon_1_1kernel_1_1_kernel')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classmelon_1_1kernel_1_1_kernel.html">melon::kernel::Kernel&lt; T, V &gt;</a></td></tr>
<tr class="memitem:a723ab0686bbb045ff401220d51f72c2a inherit pub_methods_classmelon_1_1kernel_1_1_kernel" id="r_a723ab0686bbb045ff401220d51f72c2a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">virtual</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#a723ab0686bbb045ff401220d51f72c2a">~Kernel</a> ()=<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">default</a></td></tr>
<tr class="memdesc:a723ab0686bbb045ff401220d51f72c2a inherit pub_methods_classmelon_1_1kernel_1_1_kernel"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <br /></td></tr>
<tr class="separator:a723ab0686bbb045ff401220d51f72c2a inherit pub_methods_classmelon_1_1kernel_1_1_kernel"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a8885cc1731e50ae7b5f9bc0bef44748e" id="r_a8885cc1731e50ae7b5f9bc0bef44748e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">double</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8885cc1731e50ae7b5f9bc0bef44748e">_gamma</a></td></tr>
<tr class="separator:a8885cc1731e50ae7b5f9bc0bef44748e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classmelon_1_1kernel_1_1_kernel"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_types_classmelon_1_1kernel_1_1_kernel')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classmelon_1_1kernel_1_1_kernel.html">melon::kernel::Kernel&lt; T, V &gt;</a></td></tr>
<tr class="memitem:afc65772b466950a64138b8914d44a0b1 inherit pub_types_classmelon_1_1kernel_1_1_kernel" id="r_afc65772b466950a64138b8914d44a0b1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">using</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a> = <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">decltype</a>(std::declval&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>&gt;() + std::declval&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a>&gt;())</td></tr>
<tr class="separator:afc65772b466950a64138b8914d44a0b1 inherit pub_types_classmelon_1_1kernel_1_1_kernel"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><div class="compoundTemplParams">template&lt;<a class="el" href="#aebf09200ca3535f515384f9326978359">typename</a> <a class="el" href="#aebf09200ca3535f515384f9326978359">T</a>, <a class="el" href="#aebf09200ca3535f515384f9326978359">typename</a> <a class="el" href="#aebf09200ca3535f515384f9326978359">V</a>&gt;<br />
class melon::kernel::KernelRBF&lt; T, V &gt;</div><p>Implementation of Radial Basis Function kernel. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aebf09200ca3535f515384f9326978359" name="aebf09200ca3535f515384f9326978359"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebf09200ca3535f515384f9326978359">&#9670;&#160;</a></span>KernelRBF()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> , <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">melon::kernel::KernelRBF</a>&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;::KernelRBF </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">double</a></td>          <td class="paramname"><span class="paramname"><em>gamma</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gamma</td><td>is the value for the gamma parameter of the rbf kernel </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a1fb033bbe5a2ed283fcecc2a0a34bb84" name="a1fb033bbe5a2ed283fcecc2a0a34bb84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1fb033bbe5a2ed283fcecc2a0a34bb84">&#9670;&#160;</a></span>calculate_distance()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> , <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">melon::kernel::KernelRBF</a>&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;::calculate_distance </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>x1</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>x2</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function for calculating the distance used in the kernel (type of distance used can vary among kernels) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">x1</td><td>is a vector containing the first point</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">x2</td><td>is a vector containing the second point</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the distance used in the kernel </dd></dl>

<p>Implements <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html#a6879c9fdde3f47097c7316939345cf4e">melon::kernel::StationaryKernel&lt; T, V &gt;</a>.</p>

</div>
</div>
<a id="a8bfc02f818e464515cf4eee385e4451e" name="a8bfc02f818e464515cf4eee385e4451e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bfc02f818e464515cf4eee385e4451e">&#9670;&#160;</a></span>evaluate_kernel() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> , <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">melon::kernel::KernelRBF</a>&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;::evaluate_kernel </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a></td>          <td class="paramname"><span class="paramname"><em>distance</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function for evalualting the kernel for a given distance. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">distance</td><td>is a distance between two points for which the kernel is evaluated</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the result of the kernel evaluation </dd></dl>

<p>Implements <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html#ae9793199628aa2042e9e546965400db5">melon::kernel::StationaryKernel&lt; T, V &gt;</a>.</p>

</div>
</div>
<a id="af77cb8a39caa7d5191aa560eb80d2f09" name="af77cb8a39caa7d5191aa560eb80d2f09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af77cb8a39caa7d5191aa560eb80d2f09">&#9670;&#160;</a></span>evaluate_kernel() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> , <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html#afc65772b466950a64138b8914d44a0b1">RET</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">melon::kernel::KernelRBF</a>&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;::evaluate_kernel </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>x1</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>x2</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function for evalualting the kernel. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">x1</td><td>is a vector containing the first point</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">x2</td><td>is a vector containing the second point</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the result of the kernel evaluation </dd></dl>

<p>Implements <a class="el" href="classmelon_1_1kernel_1_1_kernel.html#a8ec36af697437b1a9b6ff84efb237e14">melon::kernel::Kernel&lt; T, V &gt;</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a8885cc1731e50ae7b5f9bc0bef44748e" name="a8885cc1731e50ae7b5f9bc0bef44748e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8885cc1731e50ae7b5f9bc0bef44748e">&#9670;&#160;</a></span>_gamma</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> , <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">double</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">melon::kernel::KernelRBF</a>&lt; <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">V</a> &gt;::_gamma</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/common/inc/<a class="el" href="kernel_8h_source.html">kernel.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="namespacemelon_1_1kernel.html">kernel</a></li><li class="navelem"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">KernelRBF</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
